Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 01 Feb 2023 09:56:32 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? Going thru an extremely painful returns process with you guys.  
 
Please have some one call me on 00968 93961624.  
 
Horrible experience!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5652746